Bug 51140 - git xserver fails to build (bisected)
Summary: git xserver fails to build (bisected)
Status: CLOSED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/Ext/GLX (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: xserver-1.13
  Show dependency treegraph
 
Reported: 2012-06-15 20:26 UTC by Jos van Wolput
Modified: 2012-11-28 19:56 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
patch for this issue (1.67 KB, text/plain)
2012-11-28 19:56 UTC, Richard Freeman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jos van Wolput 2012-06-15 20:26:32 UTC
xserver-8dc70ac and ffb47a1 (Keith Packard) fail to build.
No build issue with xserver-db9d2b8 and previous ones.
./autogen.sh --prefix=/usr --libdir=/usr/lib/x86_64-linux-gnu --enable-debug=no --without-doxygen
make:
-----
Making all in glx
make[1]: Entering directory `/home/jos/src/xorg/git/xserver/glx'
  CC     glxdri2.lo
glxdri2.c: In function '__glXDRIscreenDestroy':
glxdri2.c:374:18: warning: cast discards '__attribute__((const))' qualifier from pointer target type [-Wcast-qual]
glxdri2.c: In function 'dri2_convert_glx_attribs':
glxdri2.c:422:20: error: '__DRI_CTX_FLAG_DEBUG' undeclared (first use in this function)
glxdri2.c:422:20: note: each undeclared identifier is reported only once for each function it appears in
glxdri2.c:422:43: error: '__DRI_CTX_FLAG_FORWARD_COMPATIBLE' undeclared (first use in this function)
glxdri2.c: In function 'initializeExtensions':
glxdri2.c:822:29: warning: cast discards '__attribute__((const))' qualifier from pointer target type [-Wcast-qual]
glxdri2.c: In function '__glXDRIscreenProbe':
glxdri2.c:859:36: warning: cast discards '__attribute__((const))' qualifier from pointer target type [-Wcast-qual]
glxdri2.c:860:24: warning: cast discards '__attribute__((const))' qualifier from pointer target type [-Wcast-qual]
glxdri2.c: At top level:
glxdri2.c:382:1: warning: 'dri2_convert_glx_attribs' defined but not used [-Wunused-function]
make[1]: *** [glxdri2.lo] Error 1
make[1]: Leaving directory `/home/jos/src/xorg/git/xserver/glx'
make: *** [all-recursive] Error 1
----
Comment 1 Jos van Wolput 2012-07-11 09:34:46 UTC
No more compilation error with latest git xserver-59c2c4f6. 
Bug can be closed.
Comment 2 Jos van Wolput 2012-07-13 02:28:22 UTC
This issue is still present building xorg-server-1.12.99.901 and the git version.
Comment 3 Jos van Wolput 2012-07-13 11:01:53 UTC
Since today's last git xserver-d5977e5, xf86: include xf86platformBus.h in
xf86AutoConfig.c no more build issues.
This bug can be closed.
Comment 4 Richard Freeman 2012-11-28 19:56:58 UTC
Created attachment 70745 [details]
patch for this issue

This is obviously moot, but I'm trying to track down an issue introduced while this bug existed.  This patch fixes the compile issues for builds in the range described.  It is just the last few commits in the range squashed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.